ClientParams (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net.httpclient

## Class ClientParams

- java.lang.Object
- - org.apache.commons.httpclient.params.DefaultHttpParams
  - - org.apache.commons.httpclient.params.HttpMethodParams
    - - org.apache.commons.httpclient.params.HttpClientParams
      - - net.sf.antcontrib.net.httpclient.ClientParams

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.apache.commons.httpclient.params.HttpParams

      public class ClientParams
      extends org.apache.commons.httpclient.params.HttpClientParams

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.httpclient.params.HttpClientParams

      `ALLOW_CIRCULAR_REDIRECTS, CONNECTION_MANAGER_CLASS, CONNECTION_MANAGER_TIMEOUT, MAX_REDIRECTS, PREEMPTIVE_AUTHENTICATION, REJECT_RELATIVE_REDIRECT`

    - ### Fields inherited from class org.apache.commons.httpclient.params.HttpMethodParams

      `BUFFER_WARN_TRIGGER_LIMIT, COOKIE_POLICY, CREDENTIAL_CHARSET, DATE_PATTERNS, HEAD_BODY_CHECK_TIMEOUT, HTTP_CONTENT_CHARSET, HTTP_ELEMENT_CHARSET, HTTP_URI_CHARSET, MULTIPART_BOUNDARY, PROTOCOL_VERSION, REJECT_HEAD_BODY, RETRY_HANDLER, SINGLE_COOKIE_HEADER, SO_TIMEOUT, STATUS_LINE_GARBAGE_LIMIT, STRICT_TRANSFER_ENCODING, UNAMBIGUOUS_STATUS_LINE, USE_EXPECT_CONTINUE, USER_AGENT, VIRTUAL_HOST, WARN_EXTRA_INPUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredDouble(Params.DoubleParam param)`
    `void` | `addConfiguredInt(Params.IntParam param)`
    `void` | `addConfiguredLong(Params.LongParam param)`
    `void` | `addConfiguredString(Params.StringParam param)`
    `void` | `setStrict(boolean strict)`
    `void` | `setVersion(java.lang.String version)`

    - ### Methods inherited from class org.apache.commons.httpclient.params.HttpClientParams

      `getConnectionManagerClass, getConnectionManagerTimeout, isAuthenticationPreemptive, makeLenient, makeStrict, setAuthenticationPreemptive, setConnectionManagerClass, setConnectionManagerTimeout`

    - ### Methods inherited from class org.apache.commons.httpclient.params.HttpMethodParams

      `getContentCharset, getCookiePolicy, getCredentialCharset, getHttpElementCharset, getSoTimeout, getUriCharset, getVersion, getVirtualHost, setContentCharset, setCookiePolicy, setCredentialCharset, setHttpElementCharset, setSoTimeout, setUriCharset, setVersion, setVirtualHost`

    - ### Methods inherited from class org.apache.commons.httpclient.params.DefaultHttpParams

      `clear, clone, getBooleanParameter, getDefaultParams, getDefaults, getDoubleParameter, getIntParameter, getLongParameter, getParameter, isParameterFalse, isParameterSet, isParameterSetLocally, isParameterTrue, setBooleanParameter, setDefaults, setDoubleParameter, setHttpParamsFactory, setIntParameter, setLongParameter, setParameter, setParameters`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientParams

          public ClientParams()

  - ### Method Detail

    - #### setVersion

          public void setVersion(java.lang.String version)

    - #### addConfiguredDouble

          public void addConfiguredDouble(Params.DoubleParam param)

    - #### addConfiguredInt

          public void addConfiguredInt(Params.IntParam param)

    - #### addConfiguredLong

          public void addConfiguredLong(Params.LongParam param)

    - #### addConfiguredString

          public void addConfiguredString(Params.StringParam param)

    - #### setStrict

          public void setStrict(boolean strict)